%define major     3
%define libname   %mklibname csv %{major}
%define develname %mklibname csv -d

Name:           libcsv
Version:        3.0.3
Release:        %mkrel 3
Summary:        Library to Read and Write CSV Data
License:        LGPLv2+
Group:          System/Libraries
Url:            https://sourceforge.net/projects/libcsv/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

%description
libcsv is a CSV library written in ANSI C89 that can read and write
CSV data. It provides an interface using callback functions to handle
parsed fields and rows and can parse improperly formatted CSV files.

#------------------------------------------------

%package -n     %{libname}
Summary:        Library to Read and Write CSV Data
Group:          System/Libraries

%description -n %{libname}
libcsv is a CSV library written in ANSI C89 that can read and write
CSV data. It provides an interface using callback functions to handle
parsed fields and rows and can parse improperly formatted CSV files.

%files -n %{libname}
%{_libdir}/libcsv.so.%{major}{,.*}

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       csv-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%files -n %{develname}
%doc COPYING.LESSER ChangeLog FAQ README
%{_includedir}/csv.h
%{_libdir}/libcsv.so
%{_mandir}/man3/csv.3*

#------------------------------------------------

%prep
%setup -q

%build
%configure \
        --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
make check %{?_smp_mflags}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.0.3-3.mga10
+ Revision: 2217189
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 daviddavid <daviddavid> 3.0.3-2.mga9
+ Revision: 1929378
- provides csv-devel

* Mon Jan 02 2023 daviddavid <daviddavid> 3.0.3-1.mga9
+ Revision: 1929372
- initial package libcsv

